ExecSpec (Gradle API 2.11)
Date: 2016-02-08

Package: org.gradle.process

## [Java] Interface ExecSpec

- org.gradle.process.ExecSpec

- All Superinterfaces:
    ProcessForkOptions, BaseExecSpec

  Specified the options for executing some command.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ExecSpec` | `args(Object... args)` Adds arguments for the command to be executed.
    `ExecSpec` | `args(Iterable<?> args)` Adds arguments for the command to be executed.
    `ExecSpec` | `commandLine(Object... args)` Sets the full command line, including the executable to be executed plus its arguments.
    `ExecSpec` | `commandLine(Iterable<?> args)` Sets the full command line, including the executable to be executed plus its arguments.
    `List<String>` | `getArgs()` Returns the arguments for the command to be executed.
    `ExecSpec` | `setArgs(Iterable<?> args)` Sets the arguments for the command to be executed.
    `void` | `setCommandLine(Object... args)` Sets the full command line, including the executable to be executed plus its arguments.
    `void` | `setCommandLine(Iterable<?> args)` Sets the full command line, including the executable to be executed plus its arguments.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface BaseExecSpec` | `getCommandLine, getErrorOutput, getStandardInput, getStandardOutput, isIgnoreExitValue, setErrorOutput, setIgnoreExitValue, setStandardInput, setStandardOutput`
    `interface ProcessForkOptions` | `copyTo, environment, environment, executable, getEnvironment, getExecutable, getWorkingDir, setEnvironment, setExecutable, setWorkingDir, workingDir`

- - ### Method Detail

    - #### public ExecSpec args(Object... args)

      Adds arguments for the command to be executed.

      Parameters:
        `args` - args for the command
      Returns:
        this

    - #### public ExecSpec args(Iterable<?> args)

      Adds arguments for the command to be executed.

      Parameters:
        `args` - args for the command
      Returns:
        this

    - #### public ExecSpec commandLine(Object... args)

      Sets the full command line, including the executable to be executed plus its arguments.

      Parameters:
        `args` - the command plus the args to be executed
      Returns:
        this

    - #### public ExecSpec commandLine(Iterable<?> args)

      Sets the full command line, including the executable to be executed plus its arguments.

      Parameters:
        `args` - the command plus the args to be executed
      Returns:
        this

    - #### public List<String> getArgs()

      Returns the arguments for the command to be executed. Defaults to an empty list.

    - #### public ExecSpec setArgs(Iterable<?> args)

      Sets the arguments for the command to be executed.

      Parameters:
        `args` - args for the command
      Returns:
        this

    - #### public void setCommandLine(Object... args)

      Sets the full command line, including the executable to be executed plus its arguments.

      Parameters:
        `args` - the command plus the args to be executed

    - #### public void setCommandLine(Iterable<?> args)

      Sets the full command line, including the executable to be executed plus its arguments.

      Parameters:
        `args` - the command plus the args to be executed